org.apache.hadoop.hdfs.server.namenode

## Class FsImageProto.SecretManagerSection.PersistToken

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessage
      - - org.apache.hadoop.hdfs.server.namenode.FsImageProto.SecretManagerSection.PersistToken

- All Implemented Interfaces:
    com.google.protobuf.Message, com.google.protobuf.MessageLite, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Serializable, FsImageProto.SecretManagerSection.PersistTokenOrBuilder
  Enclosing class:
    FsImageProto.SecretManagerSection

      public static final class FsImageProto.SecretManagerSection.PersistToken
      extends com.google.protobuf.GeneratedMessage
      implements FsImageProto.SecretManagerSection.PersistTokenOrBuilder

  Protobuf type `hadoop.hdfs.fsimage.SecretManagerSection.PersistToken`
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `FsImageProto.SecretManagerSection.PersistToken.Builder` Protobuf type `hadoop.hdfs.fsimage.SecretManagerSection.PersistToken`

    - ### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessage

      `com.google.protobuf.GeneratedMessage.BuilderParent, com.google.protobuf.GeneratedMessage.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage,BuilderType extends com.google.protobuf.GeneratedMessage.ExtendableBuilder>, com.google.protobuf.GeneratedMessage.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage>, com.google.protobuf.GeneratedMessage.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage>, com.google.protobuf.GeneratedMessage.FieldAccessorTable, com.google.protobuf.GeneratedMessage.GeneratedExtension<ContainingType extends com.google.protobuf.Message,Type>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `EXPIRYDATE_FIELD_NUMBER`
    `static int` | `ISSUEDATE_FIELD_NUMBER`
    `static int` | `MASTERKEYID_FIELD_NUMBER`
    `static int` | `MAXDATE_FIELD_NUMBER`
    `static int` | `OWNER_FIELD_NUMBER`
    `static com.google.protobuf.Parser<FsImageProto.SecretManagerSection.PersistToken>` | `PARSER`
    `static int` | `REALUSER_FIELD_NUMBER`
    `static int` | `RENEWER_FIELD_NUMBER`
    `static int` | `SEQUENCENUMBER_FIELD_NUMBER`
    `static int` | `VERSION_FIELD_NUMBER`

    - ### Fields inherited from class com.google.protobuf.GeneratedMessage

      `alwaysUseFieldBuilders`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FsImageProto.SecretManagerSection.PersistToken` | `getDefaultInstance()`
    `FsImageProto.SecretManagerSection.PersistToken` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `long` | `getExpiryDate()` `optional uint64 expiryDate = 9;`
    `long` | `getIssueDate()` `optional uint64 issueDate = 5;`
    `int` | `getMasterKeyId()` `optional uint32 masterKeyId = 8;`
    `long` | `getMaxDate()` `optional uint64 maxDate = 6;`
    `String` | `getOwner()` `optional string owner = 2;`
    `com.google.protobuf.ByteString` | `getOwnerBytes()` `optional string owner = 2;`
    `com.google.protobuf.Parser<FsImageProto.SecretManagerSection.PersistToken>` | `getParserForType()`
    `String` | `getRealUser()` `optional string realUser = 4;`
    `com.google.protobuf.ByteString` | `getRealUserBytes()` `optional string realUser = 4;`
    `String` | `getRenewer()` `optional string renewer = 3;`
    `com.google.protobuf.ByteString` | `getRenewerBytes()` `optional string renewer = 3;`
    `int` | `getSequenceNumber()` `optional uint32 sequenceNumber = 7;`
    `int` | `getSerializedSize()`
    `com.google.protobuf.UnknownFieldSet` | `getUnknownFields()`
    `int` | `getVersion()` `optional uint32 version = 1;`
    `boolean` | `hasExpiryDate()` `optional uint64 expiryDate = 9;`
    `boolean` | `hasIssueDate()` `optional uint64 issueDate = 5;`
    `boolean` | `hasMasterKeyId()` `optional uint32 masterKeyId = 8;`
    `boolean` | `hasMaxDate()` `optional uint64 maxDate = 6;`
    `boolean` | `hasOwner()` `optional string owner = 2;`
    `boolean` | `hasRealUser()` `optional string realUser = 4;`
    `boolean` | `hasRenewer()` `optional string renewer = 3;`
    `boolean` | `hasSequenceNumber()` `optional uint32 sequenceNumber = 7;`
    `boolean` | `hasVersion()` `optional uint32 version = 1;`
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `static FsImageProto.SecretManagerSection.PersistToken.Builder` | `newBuilder()`
    `static FsImageProto.SecretManagerSection.PersistToken.Builder` | `newBuilder(FsImageProto.SecretManagerSection.PersistToken prototype)`
    `FsImageProto.SecretManagerSection.PersistToken.Builder` | `newBuilderForType()`
    `protected FsImageProto.SecretManagerSection.PersistToken.Builder` | `newBuilderForType(com.google.protobuf.GeneratedMessage.BuilderParent parent)`
    `static FsImageProto.SecretManagerSection.PersistToken` | `parseDelimitedFrom(InputStream input)`
    `static FsImageProto.SecretManagerSection.PersistToken` | `parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static FsImageProto.SecretManagerSection.PersistToken` | `parseFrom(byte[] data)`
    `static FsImageProto.SecretManagerSection.PersistToken` | `parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static FsImageProto.SecretManagerSection.PersistToken` | `parseFrom(com.google.protobuf.ByteString data)`
    `static FsImageProto.SecretManagerSection.PersistToken` | `parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static FsImageProto.SecretManagerSection.PersistToken` | `parseFrom(com.google.protobuf.CodedInputStream input)`
    `static FsImageProto.SecretManagerSection.PersistToken` | `parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static FsImageProto.SecretManagerSection.PersistToken` | `parseFrom(InputStream input)`
    `static FsImageProto.SecretManagerSection.PersistToken` | `parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `FsImageProto.SecretManagerSection.PersistToken.Builder` | `toBuilder()`
    `protected Object` | `writeReplace()`
    `void` | `writeTo(com.google.protobuf.CodedOutputStream output)`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage

      `getAllFields, getDescriptorForType, getField, getRepeatedField, getRepeatedFieldCount, hasField, makeExtensionsImmutable, newFileScopedGeneratedExtension, newMessageScopedGeneratedExtension, parseUnknownField`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage

      `equals, findInitializationErrors, getInitializationErrorString, hashBoolean, hashCode, hashEnum, hashEnumList, hashFields, hashLong, toString`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite

      `toByteArray, toByteString, writeDelimitedTo, writeTo`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLite

      `toByteArray, toByteString, writeDelimitedTo, writeTo`

- - ### Field Detail

    - #### PARSER

          public static com.google.protobuf.Parser<FsImageProto.SecretManagerSection.PersistToken> PARSER

    - #### VERSION_FIELD_NUMBER

          public static final int VERSION_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### OWNER_FIELD_NUMBER

          public static final int OWNER_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### RENEWER_FIELD_NUMBER

          public static final int RENEWER_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### REALUSER_FIELD_NUMBER

          public static final int REALUSER_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### ISSUEDATE_FIELD_NUMBER

          public static final int ISSUEDATE_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### MAXDATE_FIELD_NUMBER

          public static final int MAXDATE_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### SEQUENCENUMBER_FIELD_NUMBER

          public static final int SEQUENCENUMBER_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### MASTERKEYID_FIELD_NUMBER

          public static final int MASTERKEYID_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### EXPIRYDATE_FIELD_NUMBER

          public static final int EXPIRYDATE_FIELD_NUMBER

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getDefaultInstance

          public static FsImageProto.SecretManagerSection.PersistToken getDefaultInstance()

    - #### getDefaultInstanceForType

          public FsImageProto.SecretManagerSection.PersistToken getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### getUnknownFields

          public final com.google.protobuf.UnknownFieldSet getUnknownFields()

      Specified by:
        `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getUnknownFields` in class `com.google.protobuf.GeneratedMessage`

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage`

    - #### getParserForType

          public com.google.protobuf.Parser<FsImageProto.SecretManagerSection.PersistToken> getParserForType()

      Specified by:
        `getParserForType` in interface `com.google.protobuf.Message`
      Specified by:
        `getParserForType` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `getParserForType` in class `com.google.protobuf.GeneratedMessage`

    - #### hasVersion

          public boolean hasVersion()

      `optional uint32 version = 1;`
      Specified by:
        `hasVersion` in interface `FsImageProto.SecretManagerSection.PersistTokenOrBuilder`

    - #### getVersion

          public int getVersion()

      `optional uint32 version = 1;`
      Specified by:
        `getVersion` in interface `FsImageProto.SecretManagerSection.PersistTokenOrBuilder`

    - #### hasOwner

          public boolean hasOwner()

      `optional string owner = 2;`
      Specified by:
        `hasOwner` in interface `FsImageProto.SecretManagerSection.PersistTokenOrBuilder`

    - #### getOwner

          public String getOwner()

      `optional string owner = 2;`
      Specified by:
        `getOwner` in interface `FsImageProto.SecretManagerSection.PersistTokenOrBuilder`

    - #### getOwnerBytes

          public com.google.protobuf.ByteString getOwnerBytes()

      `optional string owner = 2;`
      Specified by:
        `getOwnerBytes` in interface `FsImageProto.SecretManagerSection.PersistTokenOrBuilder`

    - #### hasRenewer

          public boolean hasRenewer()

      `optional string renewer = 3;`
      Specified by:
        `hasRenewer` in interface `FsImageProto.SecretManagerSection.PersistTokenOrBuilder`

    - #### getRenewer

          public String getRenewer()

      `optional string renewer = 3;`
      Specified by:
        `getRenewer` in interface `FsImageProto.SecretManagerSection.PersistTokenOrBuilder`

    - #### getRenewerBytes

          public com.google.protobuf.ByteString getRenewerBytes()

      `optional string renewer = 3;`
      Specified by:
        `getRenewerBytes` in interface `FsImageProto.SecretManagerSection.PersistTokenOrBuilder`

    - #### hasRealUser

          public boolean hasRealUser()

      `optional string realUser = 4;`
      Specified by:
        `hasRealUser` in interface `FsImageProto.SecretManagerSection.PersistTokenOrBuilder`

    - #### getRealUser

          public String getRealUser()

      `optional string realUser = 4;`
      Specified by:
        `getRealUser` in interface `FsImageProto.SecretManagerSection.PersistTokenOrBuilder`

    - #### getRealUserBytes

          public com.google.protobuf.ByteString getRealUserBytes()

      `optional string realUser = 4;`
      Specified by:
        `getRealUserBytes` in interface `FsImageProto.SecretManagerSection.PersistTokenOrBuilder`

    - #### hasIssueDate

          public boolean hasIssueDate()

      `optional uint64 issueDate = 5;`
      Specified by:
        `hasIssueDate` in interface `FsImageProto.SecretManagerSection.PersistTokenOrBuilder`

    - #### getIssueDate

          public long getIssueDate()

      `optional uint64 issueDate = 5;`
      Specified by:
        `getIssueDate` in interface `FsImageProto.SecretManagerSection.PersistTokenOrBuilder`

    - #### hasMaxDate

          public boolean hasMaxDate()

      `optional uint64 maxDate = 6;`
      Specified by:
        `hasMaxDate` in interface `FsImageProto.SecretManagerSection.PersistTokenOrBuilder`

    - #### getMaxDate

          public long getMaxDate()

      `optional uint64 maxDate = 6;`
      Specified by:
        `getMaxDate` in interface `FsImageProto.SecretManagerSection.PersistTokenOrBuilder`

    - #### hasSequenceNumber

          public boolean hasSequenceNumber()

      `optional uint32 sequenceNumber = 7;`
      Specified by:
        `hasSequenceNumber` in interface `FsImageProto.SecretManagerSection.PersistTokenOrBuilder`

    - #### getSequenceNumber

          public int getSequenceNumber()

      `optional uint32 sequenceNumber = 7;`
      Specified by:
        `getSequenceNumber` in interface `FsImageProto.SecretManagerSection.PersistTokenOrBuilder`

    - #### hasMasterKeyId

          public boolean hasMasterKeyId()

      `optional uint32 masterKeyId = 8;`
      Specified by:
        `hasMasterKeyId` in interface `FsImageProto.SecretManagerSection.PersistTokenOrBuilder`

    - #### getMasterKeyId

          public int getMasterKeyId()

      `optional uint32 masterKeyId = 8;`
      Specified by:
        `getMasterKeyId` in interface `FsImageProto.SecretManagerSection.PersistTokenOrBuilder`

    - #### hasExpiryDate

          public boolean hasExpiryDate()

      `optional uint64 expiryDate = 9;`
      Specified by:
        `hasExpiryDate` in interface `FsImageProto.SecretManagerSection.PersistTokenOrBuilder`

    - #### getExpiryDate

          public long getExpiryDate()

      `optional uint64 expiryDate = 9;`
      Specified by:
        `getExpiryDate` in interface `FsImageProto.SecretManagerSection.PersistTokenOrBuilder`

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage`

    - #### writeTo

          public void writeTo(com.google.protobuf.CodedOutputStream output)
                       throws IOException

      Specified by:
        `writeTo` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `writeTo` in class `com.google.protobuf.AbstractMessage`
      Throws:
        `IOException`

    - #### getSerializedSize

          public int getSerializedSize()

      Specified by:
        `getSerializedSize` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `getSerializedSize` in class `com.google.protobuf.AbstractMessage`

    - #### writeReplace

          protected Object writeReplace()
                                 throws ObjectStreamException

      Overrides:
        `writeReplace` in class `com.google.protobuf.GeneratedMessage`
      Throws:
        `ObjectStreamException`

    - #### parseFrom

          public static FsImageProto.SecretManagerSection.PersistToken parseFrom(com.google.protobuf.ByteString data)
                                                                          throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static FsImageProto.SecretManagerSection.PersistToken parseFrom(com.google.protobuf.ByteString data,
                                                                                 com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                          throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static FsImageProto.SecretManagerSection.PersistToken parseFrom(byte[] data)
                                                                          throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static FsImageProto.SecretManagerSection.PersistToken parseFrom(byte[] data,
                                                                                 com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                          throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static FsImageProto.SecretManagerSection.PersistToken parseFrom(InputStream input)
                                                                          throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static FsImageProto.SecretManagerSection.PersistToken parseFrom(InputStream input,
                                                                                 com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                          throws IOException

      Throws:
        `IOException`

    - #### parseDelimitedFrom

          public static FsImageProto.SecretManagerSection.PersistToken parseDelimitedFrom(InputStream input)
                                                                                   throws IOException

      Throws:
        `IOException`

    - #### parseDelimitedFrom

          public static FsImageProto.SecretManagerSection.PersistToken parseDelimitedFrom(InputStream input,
                                                                                          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                                   throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static FsImageProto.SecretManagerSection.PersistToken parseFrom(com.google.protobuf.CodedInputStream input)
                                                                          throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static FsImageProto.SecretManagerSection.PersistToken parseFrom(com.google.protobuf.CodedInputStream input,
                                                                                 com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                          throws IOException

      Throws:
        `IOException`

    - #### newBuilder

          public static FsImageProto.SecretManagerSection.PersistToken.Builder newBuilder()

    - #### newBuilderForType

          public FsImageProto.SecretManagerSection.PersistToken.Builder newBuilderForType()

      Specified by:
        `newBuilderForType` in interface `com.google.protobuf.Message`
      Specified by:
        `newBuilderForType` in interface `com.google.protobuf.MessageLite`

    - #### newBuilder

          public static FsImageProto.SecretManagerSection.PersistToken.Builder newBuilder(FsImageProto.SecretManagerSection.PersistToken prototype)

    - #### toBuilder

          public FsImageProto.SecretManagerSection.PersistToken.Builder toBuilder()

      Specified by:
        `toBuilder` in interface `com.google.protobuf.Message`
      Specified by:
        `toBuilder` in interface `com.google.protobuf.MessageLite`

    - #### newBuilderForType

          protected FsImageProto.SecretManagerSection.PersistToken.Builder newBuilderForType(com.google.protobuf.GeneratedMessage.BuilderParent parent)

      Specified by:
        `newBuilderForType` in class `com.google.protobuf.GeneratedMessage`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.